using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
           CategoryBuilder.Create("The Empire-AGNW", "This contains Empire items of the A Great New World.", ModAPI.LoadSprite("category.png"));

//Fed Helmet 1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Empire Beret",
                    NameToOrderByOverride = "EmpireH1",
                    DescriptionOverride = "Looking Good",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Empire Beret.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Empire Beret.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 7;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet 1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Empire Tanker Helmet",
                    NameToOrderByOverride = "EmpireH7",
                    DescriptionOverride = "Totally can stop a tank shell.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Helmet tanker.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet tanker.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 10;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet 1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Empire MG Cap",
                    NameToOrderByOverride = "EmpireH6",
                    DescriptionOverride = "Looking Great",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Empire MG Cap.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Empire MG Cap.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 7;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet 1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Empire Helmet 1",
                    NameToOrderByOverride = "EmpireH3",
                    DescriptionOverride = "Protecting the Head",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("mkIII helmet.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mkIII helmet.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 11;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet 1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Empire Helmet with Mask",
                    NameToOrderByOverride = "UnionH1",
                    DescriptionOverride = "Protecting the Head and the Lungs.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Helmet with Mask.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helmet with Mask.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet 2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Empire Gasmask",
                    NameToOrderByOverride = "EmpireH2",
                    DescriptionOverride = "Protecting the Lungs",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("gasmask.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gasmask.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 11;

                        Instance.FixColliders();
                    }
                }
            );
//Fed Helmet 2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Empire Pilot Mask",
                    NameToOrderByOverride = "EmpireH7",
                    DescriptionOverride = "Up High in the sky!",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Pilot.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pilot.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head"; //check the uh the fucking uh readme for the full list of bodyparts
                        armor.armorTier = 6;

                        Instance.FixColliders();
                    }
                }
            );
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM1",
            DescriptionOverride = "Gots a brand new shiny helmet.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier1thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);        
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier Corporal", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM2",
            DescriptionOverride = "Whats all this then.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier2thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier Corporal.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);  
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier Sergeant", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM3",
            DescriptionOverride = "Has been everywhere on the globe.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier3thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier Sergeant.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);  
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier Medic", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM4",
            DescriptionOverride = "Too many good men have died.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier4thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier Medic.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);  
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier MG Crew", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM5",
            DescriptionOverride = "Hulling Ammo all day.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier5thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier MG Crew.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);  
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier MG Captian", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM6",
            DescriptionOverride = "Wasting Ammo all day.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier6thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier MG Commander.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);  
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier Tanker", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM7",
            DescriptionOverride = "Old Bess will protect ye.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier7thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier Tanker.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier Tank Commander", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM8",
            DescriptionOverride = "Pull the tank closer so I can hit them with my sword.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier8thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier Tank Commander.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
 //Fed
            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Empire Soldier Pilot", //new item name with a suffix to assure it is globally unique
            NameToOrderByOverride = "EM9",
            DescriptionOverride = "Sits in a wooden box all day.", //new item description
            CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Soldier9thumb.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {

                var skin = ModAPI.LoadTexture("Empire Soldier pilot.png");
                var flesh = ModAPI.LoadTexture("flesh.png");
                var bone = ModAPI.LoadTexture("bone.png");

                var person = Instance.GetComponent<PersonBehaviour>();

                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
);
            //120mm
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Detached 120mm Cannon"),
                    NameOverride = "Empire Heavy Cannon",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "A great way to rule the seas!.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("CannonThumb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("120mmCannon.png", 1f);
                   	Instance.FixColliders();
                    }
                }
            );
			//Empire Carbine
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"),
                    NameOverride = "Rifle mk IV 1918",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "Africa stood no chance agianst us!",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Empire Rifle.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Empire Rifle.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.25f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("pistol.wav")
                        };
                    }
                }
            );
			//Union LMG
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Rifle mk IV 1917",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "Gunning Down the Enemies of the Crown!",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Empire Rifle 2.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Empire Rifle 2.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						firearm.AutomaticFireInterval = 0.26f;
                                                                                                          firearm.barrelPosition = new Vector2(1f, .1f);
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("rifle.wav")
                        };
                    }
                }
            );
  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Tarn mkII",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "It isn't much but it will do.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("tarnthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tarnSlide.png");

                        Instance.FixColliders();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tarn.png");
                                                                                                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("pistol.wav")
                        };
		    }
                }
            );
  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Tarn mkIII Auto",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "Its an improvment.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("tarn auto thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var MakarovSlide = Instance.transform.Find("Slide");
                        MakarovSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tarnSlide auto.png");

                        Instance.FixColliders();
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tarn auto.png");
                                                                                                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                                                                                                          firearm.Automatic = true;
						firearm.AutomaticFireInterval = 0.11f;
                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("pistol.wav")
                        };
		    }
                }
            );
			//Empire HMG
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Maxim M1917",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "For when the colonies get rowdy.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Empire HMG.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Empire HMG.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
                                                                                                          firearm.Automatic = true;
						firearm.AutomaticFireInterval = 0.25f;
                                                                                                          firearm.barrelPosition = new Vector2(1f, .1f);

                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("sniper.wav")
                        };
                    }
                }
            );
			//Empire AirGun
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Maxim AirShip MachineGun MkII",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "Raining lead from the skies.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("AirGun.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AirGun.png");
						Instance.FixColliders();
						var firearm = Instance.GetComponent<FirearmBehaviour>();
                                                                                                          firearm.Automatic = true;
						firearm.AutomaticFireInterval = 0.15f;
                                                                                                          firearm.barrelPosition = new Vector2(1f, .1f);

                        firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("hmg.wav")
                        };
                    }
                }
            );
           //nade launcher
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "Weslee Grenade Pistol",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "For when people dont want to leave there trench.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("gpistol.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gpistol.png", 1f);
                   	Instance.FixColliders();
                    }
                }
            );
//Medkit
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "Medical bag",
                    NameToOrderByOverride = "EMM kit",
                    DescriptionOverride = "Probably gots crumpets inside!",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("medkit.png",1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("medkit.png");
						Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Mending Syringe");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 0f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Wood");
                    }
                }
            );
//bomb drop
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "Light Bomb Bay",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "When 1 Bomb isn't enough",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("smallbombdrop.png",1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smallbombdrop.png");
						Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Empire Light Bomb");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 0f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                    }
                }
            );
//biggest gun
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "Empire Large Deckgun",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "The beaches should be clear now.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("BigBoom.png",1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BigBoom.png");
						Instance.FixColliders();
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("150mm Shell");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 100f;
						Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                    }
                }
            );
	//big bomb
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"),
                    NameOverride = "AirShip Bomb",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "The Germanic People shall fear this.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Largebomb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Largebomb.png");
						Instance.FixColliders();
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 100f;
                    }
                }
            );

	//small bomb
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"),
                    NameOverride = "Empire Light Bomb",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "Works well enough.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("smallbomb.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("smallbomb.png");
						Instance.FixColliders();
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 10f;
                    }
                }
            );
	//150
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"),
                    NameOverride = "150mm Shell",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "We have shelled em for 7 days now.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("150mm shell.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("150mm Shell.png");
						Instance.FixColliders();
                        Instance.GetComponent<ExplosiveBehaviour>().Range = 15f;
                        Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 1f;
                    }
                }
            );
            //Radio Freedom
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Small I-Beam"),
                    NameOverride = "The Empire Radio",
                    NameToOrderByOverride = "Radio",
                    DescriptionOverride = "Offical Radio of the Empire.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Radio.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Radio.png");
						
						AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 20;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("UK.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
                    }
                }
            );
         //FedFlag
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "The Empire Flag",
                    NameToOrderByOverride = "EmpireFlag",
                    DescriptionOverride = "The flag of the Empire",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("Empire Flag.png"),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Empire Flag.png");
                   	Instance.FixColliders();

                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Soft");
                        phys.Disintegratable = false;
                        phys.Properties.Flammability = 0f;
                        phys.Properties.BulletSpeedAbsorptionPower = float.MaxValue;
                    }
                }
            );
 //fed nade
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Landmine"),
                    NameOverride = "HB 131 mine",
                    NameToOrderByOverride = "Empire",
                    DescriptionOverride = "Stop right there.",
                    CategoryOverride = ModAPI.FindCategory("The Empire-AGNW"),
                    ThumbnailOverride = ModAPI.LoadSprite("HandG.png", 1f),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HandG.png", 1f);
                   	Instance.FixColliders();
                     Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 4f;
                    }
                }
            );
        }
    }
}